
#define NSPRITE 4		/* number of sprites */
#define MAXSNAKELEN 1000 	/* max body length  */
#define MAXNAMLEN 50		/* max name length */
#define MAXPLAYER 4		/* max players */

#define STOP	0		/* no direction (stopped) */
#define LEFT	1<<0		/* left direction */
#define UP	1<<1		/* up direction */
#define RIGHT	1<<2		/* right direction */
#define DOWN	3<<3		/* down direction */


/* chain of points */

typedef struct t_chain
{
	int x;
	int y;
	struct t_chain *next;
} chain;


/* snake structure */

typedef struct t_snake {
	chtype look;		/* snake's look */
	char name[MAXNAMLEN];	/* snake's name */
	chain *head;		/* snake's head chain */
	chain *tail;		/* snake's tail chain */
	bool grow;		/* snake's growing state */
	bool died;		/* did this snake die? */
	int kl;			/* key left */
	int ku;			/* key up */
	int kr;			/* key right */
	int kd;			/* key down */
	int ks;			/* key stop */
	int kg;			/* key grow */
	int dir;		/* snake's movement direction */
} snake;
	

